Issue 56391 - Autocaption preview does not update
Summary: Autocaption preview does not update
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: OOo 2.0
Hardware: All All
: P3 Trivial with 1 vote (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: needmoreinfo
Depends on:
Blocks:
 
Reported: 2005-10-21 16:33 UTC by billycub
Modified: 2013-08-07 14:38 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description billycub 2005-10-21 16:33:25 UTC
The autocaption preference pane contains a preview widget which is supposed to
show how an autogenerated caption will appear with the current settings.

Steps to reproduce:
-------------------
1. Tools - Options - OpenOffice Writer - Autocaption.  Select "table".

2. The autocaption preview widget does not update when options are changed, so
the user can not see what new settings will actually look like.

What should happen:
-------------------
The preview widget should automatically update when the user changes settings on
the Autocaption option pane.
Comment 1 michael.ruess 2005-10-24 11:08:55 UTC
Reassigned to ES.
Comment 2 eric.savary 2005-10-24 11:28:11 UTC
I cannot reproduce this problem.
Quite all options (some cannot be shown such as "Character style") get updated
in the preview.
Please describe which options you are talking about and which OOo version is
concerned.
Comment 3 billycub 2005-10-24 16:29:48 UTC
This is for OOo version 2.0.  I've verified it on Linux and Win32.

The autocaption options in the upper dialog section (labeled "Caption") all work
properly.

The options in the second section, labeled "Numbering captions by chapter" are
both ignored.  Changing the "level" and changing the "separator" both have no
effect on the preview box.  

If you set some "numbering captions by chapter" options, (for example, changing
the level from "None" to "2"), and then go to your document and add a table or
whatever, and then come back to the dialog box, the preview box is filled out
correctly.  But the preview box only seems to only pick up those "numbering
captions by chapter" options when the dialog box is created/opened.
Comment 4 eric.savary 2005-10-25 06:58:41 UTC
IMHO: it's not a bug a missing design. The Prview only supports a dummy
numbering at level 1.
Requalifying to ENHANCEMENT.

ES->OS/FL:
Should we / Can we:
1) display a full numbering with sublevel in the preview when the user changes
the the  level and the separator?
2) If yes: would it be a dummy default preview or could we retrieve the
numbering style of the current document?
Comment 5 ace_dent 2008-05-15 14:57:10 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please re-test with one of the latest versions of OOo -
the problem(s) may have already been addressed. Either use the recent stable
version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be closed or progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further :
http://www.openoffice.org/issues/query.cgi
 
Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
Comment 6 billycub 2008-05-15 18:06:21 UTC
Tested using OpenOffice 3.0 Beta, on Windows XP.  Problem remains.